Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface ExternalGraphicOrMark

All Known Subinterfaces:
  ExternalGraphic, Mark

    public interface ExternalGraphicOrMark

Common subclass for the two types of markers that can appear as children of a `Graphic` object, namely `Mark` and `ExternalGraphic`.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Object` | `accept(StyleVisitor visitor, Object extraData)` Accepts a visitor.

Method Detail

### accept

    @Extension
    Object accept(StyleVisitor visitor,
                            Object extraData)

  Accepts a visitor. Implementations of all subinterfaces must have with a method whose content is the following:

      return visitor.visit(this, extraData);

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.